@extends('admin.include.main')
@section('title')
TIP-OA: All Languages
@endsection
@section('content')

    <!-- Button trigger modal -->


    <!-- Modal -->
    <div class="modal fade" id="normalmodal" tabindex="-1" role="dialog" aria-labelledby="normalmodal"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="normalmodal1">Add New Language</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form action="{{ route('admin.languages.store') }}" method="POST">
                    @csrf
                    <div class="modal-body">

                        <div class="row">
                            <div class="col">
                                <div class="form-group">
                                    <label for="abbr">Abbrivation</label>
                                    <input value="{{ old('abbr') }}" type="text"
                                        class="form-control 
                                        
                                        @if (session('status') == 'add')
                                        @error('abbr') is-invalid @enderror
                                        @endif
                                        " name="abbr" id="abbr"
                                        aria-describedby="helpId" placeholder="">
                                    
                                        @error('abbr')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <div class="form-group">
                                    <label for="name">Name</label>
                                    <input value="{{ old('name') }}" type="text"
                                        class="form-control 
                                        
                                        @if (session('status') == 'add')
                                            @error('name') is-invalid @enderror
                                        @endif
                                        " name="name" id="name"
                                        aria-describedby="helpId" placeholder="">
                                    @error('name')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>



    <div class="card">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">All Languages</div>
                </div>
                <div class="col-6">
                    <button type="button" class="btn btn-info mt-3 float-end" data-bs-toggle="modal"
                        data-bs-target="#normalmodal">
                        <i class="fa fa-plus"></i>Add New Language
                    </button>
                </div>
            </div>

        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Sr#</th>
                            <th>Abbrivation</th>
                            <th>Name</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $i = 1;
                        @endphp
                        @foreach ($language as $item)
                            <tr>
                                <td>{{ $i }}</td>
                                <td>{{ $item->abbr }}</td>
                                <td>{{ $item->name }}</td>
                                <td>
                                    {{-- delete --}}
                                    <!-- Button trigger modal -->
                                    <a type="button" class="btn btn-danger mt-3" data-bs-toggle="modal"
                                        data-bs-target="#modeldel{{ $item->id }}">
                                        <i class="fa fa-trash"></i>
                                    </a>

                                    <!-- Modal -->
                                    <div class="modal fade" id="modeldel{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">Delete {{ $item->name }}
                                                    </h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.languages.destroy', $item->id) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                    <div class="modal-body">
                                                        Are You Really Want To Delete This?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info"
                                                            data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-danger">Delete</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                    {{-- end delete --}}



                                    {{-- update --}}
                                    <a type="button" class="btn btn-success mt-3" data-bs-toggle="modal"
                                        data-bs-target="#modeledit{{ $item->id }}">
                                        <i class="fa fa-pencil"></i>
                                    </a>

                                    <!-- Modal -->
                                    <div class="modal fade" id="modeledit{{ $item->id }}" tabindex="-1"
                                        role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">Edit {{ $item->name }}
                                                    </h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.languages.update', $item->id) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('PUT')
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="abbr">Abbrevation</label>
                                                                    <input type="text" class="form-control" name="name"
                                                                        id="abbr" value="{{ $item->abbr }}"
                                                                        aria-describedby="helpId" placeholder="">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="name">Name</label>
                                                                    <input type="text" class="form-control" name="des"
                                                                        id="des" value="{{ $item->name }}"
                                                                        aria-describedby="helpId" placeholder="">
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-info"
                                                                data-bs-dismiss="modal">Close</button>
                                                            <button type="submit" class="btn btn-primary">Save</button>
                                                        </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                    {{-- end update --}}

                                </td>

                            </tr>
                            @php
                                $i++;
                            @endphp
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
@section('script')
    @if ($errors->any())
        <script>
            var myModal = new bootstrap.Modal(document.getElementById('normalmodal'), {
                keyboard: false
            })
            myModal.show();
        </script>
    @enderror
@endsection
