@extends('admin.include.main')
@section('title')
TIP-OA: Training Batch
@endsection
@section('content')

<div class="modal fade" id="normalmodal" tabindex="-1" role="dialog" aria-labelledby="normalmodal"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="normalmodal1">Add Training Batch</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>

            <form action="{{ route('admin.training.store') }}" method="POST">
                @csrf
                <div class="modal-body">

                    <div class="row">
                        <div class="col-md-12 col-lg-12">
                            <label class="form-control-label">Mandatory /Special <span
                                    class="tx-danger">*</span></label>
                            <div class="form-check">
                                <input class="form-check-input mandatory" type="radio" name="is_mandatory"
                                    id="mandatory1" value="mandatory" @if (session('mandatory') == 'yes') checked  @endif>
                                <label class="form-check-label" for="mandatory1">
                                    Mandatory
                                </label>
                            </div>
                            <div class="form-check">
                                <input class="form-check-input mandatory" type="radio" name="is_mandatory" id="special2"
                                    value="special" @if (session('mandatory') == 'no') checked  @endif>
                                <label class="form-check-label" for="special2">
                                    Special
                                </label>
                            </div>

                        </div>
                    </div>

                    <div id="mandatory" style="display: none">

                        <div id="special" style="display: none">
                            <div class="row mt-5">
                                <div class="col-md-5 col-lg-6">
                                    <div class="form-group">
                                        <label for="batch_title">Title*</label>
                                        <input type="text"
                                            class="form-control
                                                        @if (session('status') == 'add')
                                
                                                    @error('batch_title') is-invalid @enderror
                                                    @endif
                                                    "
                                            name="batch_title" id="batch_title" aria-describedby="helpId"
                                            placeholder=" Enter title">
                                        @error('batch_title')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-5 col-lg-6">
                                    <div class="form-group">
                                        <label for="batch_desc">Description*</label>
                                        <input type="text"
                                            class="form-control 
                                                    @if (session('status') == 'add')
                                
                                                    @error('batch_desc') is-invalid @enderror
                                                    @endif
                                                    
                                                    "
                                            name="batch_desc" id="batch_desc" aria-describedby="helpId"
                                            placeholder=" Enter Description">
                                        @error('batch_desc')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>

                            </div>


                        </div>
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_date">Date*</label>
                                    <input type="date"
                                        class="form-control
                                                @if (session('status') == 'add')
                                
                                                @error('batch_date') is-invalid @enderror
                                                @endif
                                                
                                                "
                                        name="batch_date" id="batch_date" aria-describedby="helpId"
                                        placeholder=" Enter date">
                                    @error('batch_date')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_starttime">Start Time*</label>
                                    <input type="time"
                                        class="form-control 
                                                @if (session('status') == 'add')
                                
                                                @error('batch_starttime') is-invalid @enderror
                                                @endif
                                                
                                                "
                                        name="batch_starttime" id="batch_starttime" aria-describedby="helpId"
                                        placeholder=" Enter Start Time">
                                    @error('batch_starttime')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_duration">Duration*</label>
                                    <input type="text"
                                        class="form-control 
                                                @if (session('status') == 'add')
                                
                                                @error('batch_duration') is-invalid @enderror
                                                @endif
                                                
                                                "
                                        name="batch_duration" id="batch_duration" aria-describedby="helpId"
                                        placeholder=" Enter duration">
                                    @error('batch_duration')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_max_trainee"> Max. No. of Trainees</label>
                                    <input type="number"
                                        class="form-control
                                                @if (session('status') == 'add')
                                
                                                @error('batch_max_trainee') is-invalid @enderror
                                                @endif
                                                
                                                "
                                        name="batch_max_trainee" id="batch_max_trainee" aria-describedby="helpId"
                                        placeholder=" Enter maximum number of trainees">
                                    @error('batch_max_trainee')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>


                        {{-- end --}}
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-6">
                                <div class="form-group">
                                    <label for="batch_zoomlink">Zoom Link*</label>
                                    <input type="text"
                                        class="form-control 
                                            @if (session('status') == 'add')
                                
                                            @error('batch_zoomlink') is-invalid @enderror
                                            @endif
                                            
                                            "
                                        name="batch_zoomlink" id="batch_zoomlink" aria-describedby="helpId"
                                        placeholder=" Enter zoom Link">
                                    @error('batch_zoomlink')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="card">
    <div class="card-header">
        <div class="row w-100">
            <div class="col-6">
                <div class="card-title mt-3">Training Batch</div>
            </div>
            <div class="col-6">
                <button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                    <i class="fa fa-plus"></i>Training Batch
                </button>
            </div>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive datatble-filter">
            <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                <thead>
                    <tr>
                        <th>Batch No</th>
                        <th>Date</th>
                        <th>Time </th>
                        <th>Duration</th>
                        <th>Max Trainees</th>
                        <th>Provisional</th>
                        <th>Confirmed</th>
                        <th>Trainers</th>


                    </tr>
                </thead>
                <tbody>
                    @foreach ($training as $item)
                        <tr class="table-subheader @if ($item->is_mandatory == 'special') table-success @endif">
                            <td>{{ $item->batch_no }}</td>
                            <td>{{ $item->batch_date }}</td>
                            <td>{{ date('h:i:s a ', strtotime($item->batch_starttime)) }}</td>
                            <td>{{ $item->batch_duration }}</td>
                            <td>{{ $item->batch_max_trainee }}</td>
                            <td>{{ $item->P_batch() }}</td>
                            <td>{{ $item->c_batch() }}</td>
                            @if ($item->batch == null)
                                <td> No trainer yet assign</td>
                            @else
                                <td>
                                    @if ($item->batch->main_trainer != null)
                                        {{ $item->batch->main_trainer->get_name() }}
                                    @else
                                        Drop out
                                    @endif
                                    ,
                                    @if ($item->batch->standby_trainer != null)
                                        {{ $item->batch->standby_trainer->get_name() }}

                                    @else
                                        Drop out
                                    @endif

                                <td>
                            @endif

                        </tr>
                        <tr style="display:none">
                            <td colspan="9">
                                <div class="">
                                    <div class="panel panel-primary receipts-inline-table border-0">
                                        <div class="tab-menu-heading p-0 border-0">
                                            <div class="tabs-menu1">
                                                <!-- Tabs -->
                                                <ul class="nav panel-tabs">
                                                    <li class=""><a href="#tab1" class="active"
                                                            data-bs-toggle="tab">data</a>
                                                    </li>
                                                    {{-- <li><a href="#tab2" data-bs-toggle="tab">Form Two</a></li>
                                            <li><a href="#tab3" data-bs-toggle="tab">Form Three</a></li> --}}
                                                </ul>
                                            </div>
                                        </div>
                                        <div class="panel-body tabs-menu-body p-0 border-0">
                                            <div class="tab-pane" id="tab1">
                                                <table class="table detail-transaction">
                                                    <tbody>
                                                        <tr>
                                                            <th class="d-flex">
                                                                <a href="javascript:void(0)"
                                                                    class="act btn btn-primary m-1" data-title="Trainee"
                                                                    data-href="{{ route('admin.training.show', $item->id) }}">
                                                                    Trainees</a>
                                                                <a href="javascript:void(0)"
                                                                    class="act btn btn-primary m-1"
                                                                    data-title="Add Trainee"
                                                                    data-href="{{ route('admin.training.show_trainee', $item->id) }}">
                                                                    Add Trainee</a>
                                                                <a data-bs-toggle="modal" class="btn btn-primary m-1"
                                                                    data-bs-target="#modelpostpone{{ $item->id }}">
                                                                    Postpone</a>
                                                                <a href="" class="btn btn-primary m-1"
                                                                    data-bs-toggle="modal"
                                                                    data-bs-target="#modelopt{{ $item->id }}">
                                                                    Opt In</a>
                                                                <a data-bs-toggle="modal" class="btn btn-primary m-1"
                                                                    data-bs-target="#modeldropout{{ $item->id }}">
                                                                    Dropout</a>
                                                                <a data-bs-toggle="modal" class="btn btn-primary m-1"
                                                                    data-bs-target="#modelupdate{{ $item->id }}">
                                                                    Update</a>

                                                                {{-- <a href="" class="btn btn-success"> Update</a> --}}
                                                            </th>
                                                            <!-- Tab panes -->

                                                            {{-- postpone --}}
                                                            <div class="modal fade"
                                                                id="modelpostpone{{ $item->id }}" tabindex="-1"
                                                                role="dialog" aria-labelledby="normalmodal"
                                                                aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title"
                                                                                id="normalmodal1"> Postpone
                                                                            </h5>
                                                                            <button type="button" class="btn-close"
                                                                                data-bs-dismiss="modal"
                                                                                aria-label="Close">
                                                                                <span aria-hidden="true">×</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="row">
                                                                                <div class="col">
                                                                                    <div class="form-group">
                                                                                        Are you sure you want to
                                                                                        Postpone this batch?
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <a href="{{ route('admin.training.postpone', $item->id) }}"
                                                                                class="btn btn-danger">Postpone</a>
                                                                        </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            {{-- postpone --}}

                                                            {{-- opt --}}
                                                            <div class="modal fade"
                                                                id="modelopt{{ $item->id }}" tabindex="-1"
                                                                role="dialog" aria-labelledby="normalmodal  modal-lg"
                                                                aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title"
                                                                                id="normalmodal1"> Opt In
                                                                            </h5>
                                                                            <button type="button" class="btn-close"
                                                                                data-bs-dismiss="modal"
                                                                                aria-label="Close">
                                                                                <span aria-hidden="true">×</span>
                                                                            </button>
                                                                        </div>
                                                                        <form
                                                                            action="{{ route('admin.training.trainer') }}"
                                                                            method="POST">
                                                                            @csrf
                                                                            @php
                                                                                $user = App\Models\User::where('user_type', 'tip')->get();
                                                                            @endphp
                                                                            <div class="modal-body">
                                                                                <input type="hidden" name="batch_idd"
                                                                                    value="{{ $item->id }}">
                                                                                <div class="row">
                                                                                    <label
                                                                                        class="form-control-label">Main
                                                                                        Trainer </label>
                                                                                    <div class="col-md-12 col-lg-12">
                                                                                        <select
                                                                                            class="form-control select2-show-search"
                                                                                            id="standby_trainer"
                                                                                            name="standby_trainer"
                                                                                            data-placeholder="Choose one (with searchbox)">
                                                                                            <optgroup label="trainer">
                                                                                                @foreach ($user as $u)
                                                                                                    <option
                                                                                                        value="{{ $u->id }}">
                                                                                                        {{ $u->get_name() }}
                                                                                                    </option>
                                                                                                @endforeach
                                                                                            </optgroup>
                                                                                        </select>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="row mt-5">
                                                                                    <label class="form-control-label">
                                                                                        Standby Trainer </label>
                                                                                    <div class="col-md-12 col-lg-12">
                                                                                        <select
                                                                                            class="form-control select2-show-search"
                                                                                            id="main_trainer"
                                                                                            name="main_trainer"
                                                                                            data-placeholder="Choose one (with searchbox)">
                                                                                            <optgroup label="trainer">
                                                                                                @foreach ($user as $u)
                                                                                                    <option
                                                                                                        value="{{ $u->id }}">
                                                                                                        {{ $u->get_name() }}
                                                                                                    </option>
                                                                                                @endforeach
                                                                                            </optgroup>
                                                                                        </select>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="submit"
                                                                                    class="btn btn-success"
                                                                                    data-bs-dismiss="modal">Save</button>

                                                                            </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            {{-- opt --}}
                                                            <div class="modal fade"
                                                                id="modeldropout{{ $item->id }}" tabindex="-1"
                                                                role="dialog" aria-labelledby="normalmodal"
                                                                aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title"
                                                                                id="normalmodal1">Drop Out
                                                                            </h5>
                                                                            <button type="button"
                                                                                class="btn-close"
                                                                                data-bs-dismiss="modal"
                                                                                aria-label="Close">
                                                                                <span aria-hidden="true">×</span>
                                                                            </button>
                                                                        </div>
                                                                        <form
                                                                            action="{{ route('admin.training.dropout', $item->id) }}"
                                                                            method="POST">
                                                                            @method('put')
                                                                            @csrf
                                                                            <div class="modal-body">
                                                                                <div class="row">
                                                                                    <div class="col">
                                                                                        <div class="form-group">
                                                                                            Are you sure you want to
                                                                                            drop out this batch?
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                    class="btn btn-info"
                                                                                    data-bs-dismiss="modal">Close</button>
                                                                                <button type="submit"
                                                                                    class="btn btn-danger">Drop
                                                                                    out</button>
                                                                            </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="modal fade" id="modelupdate{{ $item->id }}" tabindex="-1" role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                                                <div class="modal-dialog modal-lg" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="normalmodal1"> Update
                                                                            </h5>
                                                                            <button type="button"
                                                                                class="btn-close"
                                                                                data-bs-dismiss="modal"
                                                                                aria-label="Close">
                                                                                <span aria-hidden="true">×</span>
                                                                            </button>
                                                                        </div>

                                                                        <form action="{{ route('admin.volunteer.notes') }}" method="POST" id="noteform{{$item->id}}">
                                                                            @csrf
                                                                            <div class="modal-body">
                                                                                <input type="hidden" name="batch_id" value="{{$item->tbt_batch_id }}">                 

                                                                                @foreach ($item->trainees as $train)
                                                                                    
                                                                                <div class="row">
                                                                                    <input type="hidden" name="training_batch_trainees_updates[]" value="{{$train->id }}">                 
                                                                                                                
                                                                                    <div class="col-4">{{ucfirst($train->user->get_name())}}</div>
                                                                                    <div class="col-4">
                                                                                        <div class="form-group">
                                                                                            <div class="form-check">
                                                                                                <input data-ticket="attendence{{$train->id}}" data-id="att{{$train->id}}" @if($train->notes != null) @if($train->notes->attendence == "Y")checked @endif @endif class="form-check-input ticket" type="checkbox"
                                                                                                id="atten{{$train->id}}" value="Y" >
                                                                                                <label class="form-check-label" for="atten{{$train->id}}">
                                                                                                    Attended Training
                                                                                                </label>
                                                                                                <input id="attendence{{$train->id}}" type="hidden" name="attendence[]" @if($train->notes != null) value="{{$train->notes->attendence}}" @endif>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="col-4">
                                                                                        <div class="form-group">
                                                                                            <div class="form-check">
                                                                                                <input data-ticket="generate_ticket{{$train->id}}" data-id="more{{$train->id}}"  @if($train->notes != null) @if($train->notes->generate_ticket == "Y")checked @endif @endif class="form-check-input ticket" type="checkbox"                                                                 data-id="generate_ticket{{$train->id}}" id="gticket{{$train->id}}" value="Y" >
                                                                                                <label class="form-check-label" for="gticket{{$train->id}}">
                                                                                                    Generate Ticket
                                                                                                </label>
                                                                                                <input id="generate_ticket{{$train->id}}" type="hidden" name="generate_ticket[]" @if($train->notes != null) value="{{$train->notes->generate_ticket}}" @endif>
                                                                                                </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div id="att{{$train->id}}" @if($train->notes != null) @if($train->notes->attendence != "Y") style="display: none" @endif @else style="display: none" @endif> 
                                                                                    <div class="row">
                                                                                        <div class="col-6">
                                                                                            <label for="skills{{$item->id}}">Skills</label>
                                                                                            <textarea class="form-control" id="skills{{$item->id}}" type="text" name="volunteer_skills[]">@if($train->notes != null ){{$train->notes->volunteer_skills}} @endif</textarea>
                                                                                        
                                                                                        </div>
                                                                                        <div class="col-6">
                                                                                            <label for="notes{{$item->id}}">Notes</label>
                                                                                            <textarea id="notes{{$item->id}}" class="form-control" name="volunteer_notes[]">@if($train->notes != null ) {{$train->notes->volunteer_notes}} @endif</textarea>                                                    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>

                                                                                <div id="more{{$train->id}}" @if($train->notes != null) @if($train->notes->generate_ticket != "Y") style="display: none" @endif @else style="display: none" @endif>
                                                                                    <div class="row mt-5">
                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                <label for="ttile{{$item->id}}">Ticket Title</label>
                                                                                                <input @if($train->notes != null) value="{{$train->notes->ticket_title}}" @endif type="text" class="form-control" name="ticket_title[]" id="ticket_title{{$item->id}}" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                                                            </div>    
                                                                                        </div>

                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                <label for="batch_date"></label>Ticket Priority
                                                                                                <select class="form-control" name="ticket_priority[]">
                                                                                                    <option></option>
                                                                                                    <option value="High"   @if($train->notes != null) @if($train->notes->ticket_priority == "High") selected @endif @endif >High</option>
                                                                                                    <option value="Medium" @if($train->notes != null) @if($train->notes->ticket_priority == "Medium") selected @endif @endif >Medium</option>
                                                                                                    <option value="Low"    @if($train->notes != null) @if($train->notes->ticket_priority == "Low") selected @endif @endif>Low</option>
                                                                                                </select>
                                                                                            </div>    
                                                                                        </div>
                                                                                    </div>

                                                                                    <div class="row mt-5">
                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                <label for="ticket_desc{{$item->id}}">Ticket Description: </label>
                                                                                                <textarea class="form-control" name="ticket_desc[]" id="ticket_desc{{$item->id}}">@if($train->notes !=null){{$train->notes->ticket_desc}}@endif</textarea>
                                                                                            </div>    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>

                                                                                <hr>

                                                                                @endforeach
                                                                                <div class="modal-footer">

                                                                                    <button type="submit" class="btn btn-info save d-none">Save</button>
                                                                                    <button type="button" data-id="#noteform{{$item->id}}"  class="btn btn-info save">Save</button>
                                                                                    <button type="button" data-id="#noteform{{$item->id}}" class="btn btn-info saveclose">Save And Close</button>
                                                                                </div>
                                                                            </div>
                                                                        </form>
                                                                    </div>
                                                                </div>
                                                            </div>



                                                        </tr>
                                                        <tr id="home{{ $item->id }}">

                                                        </tr>

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    @endforeach

                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="modal fade" id="largemodal1" tabindex="-1" role="dialog" aria-labelledby="largemodal1"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largemodal1"> Trainee</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form action="{{ route('admin.training.delete_trainee') }}" method="post">
                @csrf
                <div class="modal-body">
                    <input type="hidden" id="trainee" name="trainee_id" value="">
                    <input type="hidden" id="batch" name="batch_id" value="">
                    <div class="row">
                        <div class="col-md-12 col-lg-12">
                            <p>Already Booked in Mandatory Batch. Delete Previous Mandatory Batch</p>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-info" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-danger">Delete</button>
                </div>
            </form>
        </div>
    </div>
</div>



{{-- detail model --}}
<div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="largemodal"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="dat">

            </div>
        </div>
    </div>
</div>





@endsection
@section('script')
    <script>
        $(document).on("click", ".ticket", function () {
            if($(this).is(':checked')){
                $('#'+$(this).data('id')).show();
                $('#'+$(this).data('ticket')).val('Y');
            }
            else{
                $('#'+$(this).data('id')).hide();
                $('#'+$(this).data('ticket')).val('N');
            }
            });
            $(document).on('click' , '.save' , function(){
                console.log($($(this).data('id')));
                $($(this).data('id')).attr('action' , "{{route('admin.volunteer.notes')}}");
                $($(this).data('id')).submit();
            });
            $(document).on('click' , '.saveclose' , function(){
                $($(this).data('id')).attr('action' , "{{route('admin.volunteer.notes' , 'C')}}");
                $($(this).data('id')).submit();
        });
        $(document).on("change", ".mandatory", function() {
            var check = ($(this).val()); // Here you will get the current selected/checked radio option value
            console.log(check);
            if (check == "mandatory") {
                $('#mandatory').show();
                $('#special').hide();
            } else if (check == "special") {
                $('#special').show();
                $('#mandatory').show();
            } else {
                console.log();
            }

        });
    </script>

    <script>
        $(document).on("click", ".trainee", function() {
            var t = ($(this).val());
            b = $(this).data('batch');
            console.log(b);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}",
                }
            });
            $.ajax({
                url: "{{ route('admin.training.trainee_check') }}",
                type: "GET",
                data: {
                    trainee_id: t,
                    batch_id: b,
                },
                success: function(result) {
                    if (result.status == "1") {
                        $("#trainee").val(result.trainee);
                        $("#batch").val(result.batch);
                        var myModal = new bootstrap.Modal(document.getElementById('largemodal1'), {
                            keyboard: false
                        })
                        myModal.show();

                        var myModal = document.getElementById('largemodal');
                        var modal = bootstrap.Modal.getInstance(
                            myModal) // Returns a Bootstrap modal instance
                        modal.hide();



                    }
                }


            });

        });
    </script>

    <script>
        $('.traine').on('click', function() {
            id = $(this).data('id');
            console.log(id);
            $('#home' + id).load($(this).data('href'));
        });
    </script>

    @if ($errors->any())
        <script>
            @if (session('status') == 'add' and session('mandatory') == 'yes')
                var myModal = new bootstrap.Modal(document.getElementById('normalmodal'), {
                keyboard: false
                })
                $('#mandatory').show()
            @elseif(session('status') == 'add' and session('mandatory') == 'no')
                var myModal = new bootstrap.Modal(document.getElementById('normalmodal'), {
                keyboard: false
                })
                $('#mandatory').show()
                $('#special').show();
            @elseif(session('status') == 'edit')
                var myModal = new bootstrap.Modal(document.getElementById('{{ session('modal') }}'), {
                keyboard: false
                })
            @endif
            myModal.show();
        </script>
    @enderror
    


@endsection
