@extends('volunteer.include.main')
@section('style')
    <style>
        .wizard>.steps {
            overflow-x: scroll;
        }

    </style>
@endsection
@section('title')
TIP-OA: JGH VOLUNTEER APPLICATION FORM
@endsection
@section('content')

    <div class="card">
        <div class="card-header">
            <div class="card-title">JGH VOLUNTEER APPLICATION FORM</div>
        </div>


        <div class="card-body">
            @if (Auth::user()->form_two == null)

            <form action="{{ route('volunteer.form.two.store') }}" method="post" class="form">
                @csrf
                <div id="form-two">
                    <h3>PERSONAL <br> INFORMATION</h3>
                    <section>
                        {{-- row 1 --}}
                        <div class="row">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    First name <span class="tx-danger"></span></label>
                                <input class="form-control" id="family_name" name="first_name"
                                    placeholder="Enter First Name" required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Given name <span class="tx-danger"></span></label>
                                <input class="form-control" id="name" required="" name="name" placeholder="Enter name"
                                    type="text">
                            </div>
                        </div>
                        {{-- row 2 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Maiden name <span class="tx-danger"></span></label>
                                <input class="form-control" id="maiden_name" name="maiden_name"
                                    placeholder="Enter Maiden name" required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Date of birth (YYYY/MM/DD) <span class="tx-danger"></span></label>
                                <input class="form-control" id="dob" name="dob" placeholder="Enter Date of Birth"
                                    required="" type="date">
                            </div>
                        </div>
                        {{-- row 3 --}}
                        <div class="row mt-5">
                            <div class="col-md-12 col-lg-12">
                                <label class="form-control-label">
                                    Address <span class="tx-danger"></span></label>
                                <input class="form-control" id="address" name="address" placeholder="Enter Address"
                                    required="" type="text">
                            </div>
                        </div>

                        {{-- row 4 --}}
                        <div class="row mt-5">
                            <div class="col-md-3 col-lg-4">
                                <label class="form-control-label">
                                    City <span class="tx-danger"></span></label>
                                <input class="form-control" id="city" name="city" placeholder="Enter city " required=""
                                    type="text">
                            </div>
                            <div class="col-md-3 col-lg-4">
                                <label class="form-control-label">
                                    Province<span class="tx-danger"></span></label>
                                <input class="form-control" id="number" name="province" placeholder="Enter Province"
                                    required="" type="text">
                            </div>
                            <div class="col-md-3 col-lg-4">
                                <label class="form-control-label">
                                    Postal Code<span class="tx-danger"></span></label>
                                <input class="form-control" id="postal_code" name=" postal_code" placeholder="Postal Code"
                                    required="" type="number">
                            </div>
                        </div>
                        {{-- row 5 --}}
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-6">
                                <label class="form-control-label">
                                    Telephone <span class="tx-danger"></span></label>
                                <input class="form-control" id="tel" name="telephone" placeholder="Enter Telephone "
                                    required="" type="text">
                            </div>
                            <div class="col-md-5 col-lg-6">
                                <label class="form-control-label">
                                    Cell phone<span class="tx-danger"></span></label>
                                <input class="form-control" id="ph_no" name="cell_phone" placeholder="Enter cell phone"
                                    required="" type="text">
                            </div>
                        </div>
                        {{-- row 6 --}}
                        <div class="row mt-5">
                            <div class="col-md-12 col-lg-12">
                                <label class="form-control-label">
                                    Email<span class="tx-danger"></span></label>
                                <input class="form-control" id="email" name="email" placeholder="Enter Previous Address"
                                    required="" type="email">
                            </div>
                        </div>
                        {{-- row 7 --}}
                        <div class="row mt-5">
                            <div class="col-md-5 col-lg-4">
                                <label class="form-control-label">
                                    Languages : <span class="tx-danger"></span></label>
                                @foreach ($languages as $item)
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="language" required=""
                                            id="exampleRadios{{ $item->id }}" value="{{ $item->id }}" checked>
                                        <label class="form-check-label" for="exampleRadios1">
                                            {{ $item->name }}
                                        </label>
                                    </div>
                                @endforeach
                            </div>
                            <div class="col-md-5 col-lg-4">
                                <label class="form-control-label">
                                    Are you a student? <span class="tx-danger"></span></label>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="is_student" id="exampleRadios1" required=""
                                        value="Y" checked>
                                    <label class="form-check-label" for="exampleRadios1">
                                        Yes
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="is_student" id="exampleRadios2" required=""
                                        value="N">
                                    <label class="form-check-label" for="exampleRadios2">
                                        No
                                    </label>
                                </div>
                            </div>
                        </div>




                    </section>
                    <h3>REFERENCES</h3>
                    <section>

                        {{-- row 1 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    1 Family name and Given name
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="family_name_1" name="family_name_one" placeholder="Enter Family name and Given name"
                                    required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    2 Family name and Given name
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="family_name_2" name="family_name_two" placeholder="Enter family name" required=""
                                    type="text">
                            </div>

                        </div>
                        {{-- row 2 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Telephone or Cell phone
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="family_phone_one" name="family_phone_one" placeholder="Enter Family name and Given name"
                                    required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Telephone or Cell phone
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="family_phone_two" name="family_phone_two" placeholder="Enter telephone" required=""
                                    type="text">
                            </div>
                        </div>
                        {{-- row 3 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Email
                                    <span class="tx-danger"></span></label> <input class="form-control" id="family_email_1"
                                    name="family_email_one" placeholder="Enter Email" required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Email
                                    <span class="tx-danger"></span></label> <input class="form-control" id="family_email_2"
                                    name="family_email_two" placeholder="Enter Email" required="" type="email">
                            </div>
                        </div>
                        {{-- row 3 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Relationship
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="relationship1" name="family_relation_one" placeholder="Enter Relationship"
                                    required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Relationship
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="relationship2" name="family_relation_two" placeholder="Enter Relationship"
                                    required="" type="text">
                            </div>
                        </div>
                    </section>
                    <h3>PERSON TO CONTACT <br> IN CASE OF EMERGENCY</h3>
                    <section>
                        {{-- row 1 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Family name and Given name
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="family_name_three" name="family_name" placeholder="Enter Family name and Given name"
                                    required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Given name
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="given_name" name="given_name" placeholder="Enter Given name" required=""
                                    type="text">
                            </div>

                        </div>
                        {{-- row 2 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Telephone (day)
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="telephone" name="telephone_day" placeholder="Enter telephone" required=""
                                    type="number">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Telephone (evening) /Cell
                                    <span class="tx-danger"></span></label> 
                                    <input class="form-control" id="Cell"
                                    name="telephone_evening" placeholder="Enter Cell" required="" type="number">
                            </div>
                        </div>
                        {{-- row 3 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Relationship
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="relationship" name="relationship" placeholder="Enter Relationship" required=""
                                    type="text">
                            </div>

                        </div>
                    </section>
                    <h3>Tell us <br> About Yourself</h3>
                    <section>
                        {{-- row 1 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Work Experiences | Educational Background:
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="work_exp" name="work_exp"
                                    placeholder="Enter Work Experiences | Educational Background:   " required=""
                                    type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Volunteer Experiences – Please provide details:
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="volunteer_exp" name="volunteer_exp" placeholder="Enter Volunteer Experiences"
                                    required="" type="text">
                            </div>

                        </div>
                        {{-- row 2 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Specific skills and interests (musical instruments, computers, arts and crafts,
                                    knitting, games)
                                    <span class="tx-danger"></span></label> <input class="form-control" id="skills"
                                    name="skills" placeholder="Enter skills   " required="" type="text">
                            </div>
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Do you have any restrictions that might affect you in your volunteer work? If yes,
                                    please specify:
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="restrictions" name="restrictions" placeholder="Enter restrictions" required=""
                                    type="text">
                            </div>

                        </div>

                    </section>
                    <h3>VOLUNTEER <br> OPPORTUNITIES</h3>
                    <section>
                        {{-- row 1 --}}
                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    OPPORTUNITIES:
                                    <span class="tx-danger"></span></label>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" required=""
                                        value=" Administrative – Desk| Support filing| Administrative tasks | Float"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Administrative – Desk| Support filing| Administrative tasks | Float
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" required=""
                                        value="   Ambassadors – Welcome | Information | Guiding visitors"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Ambassadors – Welcome | Information | Guiding visitors
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" required=""
                                        value=" Administrative – Desk| Support filing| Administrative tasks | Float"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Administrative – Desk| Support filing| Administrative tasks | Float
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value=" Auxiliary" required=""
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Auxiliary
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" required=""
                                        value="Child Psychiatry – Assist in afternoon" name="oppertunities[]"
                                        id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Child Psychiatry – Assist in afternoon
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" required=""
                                        value="Clinics – Colorectal | Gastro | Ophthalmology | Orthopedics | Radiology etc"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Clinics – Colorectal | Gastro | Ophthalmology | Orthopedics | Radiology etc.
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value=" Emergency"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Emergency
                                    </label>
                                </div>

                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value=" H.E.L.P. – Hospital Elder Life Program. 6 month volunteer training program | Prevention of delirium"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        H.E.L.P. – Hospital Elder Life Program. 6 month volunteer training program |
                                        Prevention of delirium
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="Hope & Cope – Support for cancer patients" name="oppertunities[]"
                                        id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Hope & Cope – Support for cancer patients
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="Labs – Students | Biology | Bio Chemistry" name="oppertunities[]"
                                        id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Labs – Students | Biology | Bio Chemistry
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="Library – Front desk | Mobile Book Cart" name="oppertunities[]"
                                        id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Library – Front desk | Mobile Book Cart
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="Mental Health – I.C.P.F | 4 East (Visiting, games, animation)"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Mental Health – I.C.P.F | 4 East (Visiting, games, animation)
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="N.I.C.U. – Reading to premature babies" name="oppertunities[]"
                                        id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        N.I.C.U. – Reading to premature babies
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="Patient Advisors – Need previous patients to sit on advisory committees"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Patient Advisors – Need previous patients to sit on advisory committees
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox"
                                        value="Patient Care and Support – Visiting | Animation | Meal Support"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Patient Care and Support – Visiting | Animation | Meal Support
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="Pet Therapy"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Pet Therapy
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="Test Centre - Directing users"
                                        name="oppertunities[]" id="flexCheckIndeterminate">
                                    <label class="form-check-label" for="flexCheckIndeterminate">
                                        Test Centre - Directing users
                                    </label>
                                </div>
                            </div>
                        </div>

                    </section>
                    <h3>AVAILABILITY</h3>
                    <section>
                        {{-- row 1 --}}
                        <div class="row mt-5">
                            <div class="col-md-12 col-lg-12">
                                <label class="form-control-label">
                                    Availability:
                                    <span class="tx-danger"></span></label>
                                <div class="table table-responsive">

                                    <table class="">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th>Monday</th>
                                                <th>Tuesday</th>
                                                <th>Wednesday</th>
                                                <th>Thursday</th>
                                                <th>Friday</th>
                                                <th>Saturday</th>
                                                <th>Sunday</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td scope="row">Morning</td>
                                                <td><input type="text" name="morning_monday"></td>
                                                <td><input type="text" name="morning_tuesday"></td>
                                                <td><input type="text" name="morning_wednesday"></td>
                                                <td><input type="text" name="morning_thursday"></td>
                                                <td><input type="text" name="morning_friday"></td>
                                                <td><input type="text" name="morning_saturday"></td>
                                                <td><input type="text" name="morning_sunday"></td>
                                            </tr>
                                            <tr>
                                                <td scope="row">Afternoon</td>
                                                <td><input type="text" name="afternoon_monday"></td>
                                                <td><input type="text" name="afternoon_tuesday"></td>
                                                <td><input type="text" name="afternoon_wednesday"></td>
                                                <td><input type="text" name="afternoon_thursday"></td>
                                                <td><input type="text" name="afternoon_friday"></td>
                                                <td><input type="text" name="afternoon_saturday"></td>
                                                <td><input type="text" name="afternoon_sunday"></td>
                                            </tr>
                                            <tr>
                                                <td scope="row">Evening</td>
                                                <td><input type="text" name="evening_monday"></td>
                                                <td><input type="text" name="evening_tuesday"></td>
                                                <td><input type="text" name="evening_wednesday"></td>
                                                <td><input type="text" name="evening_thursday"></td>
                                                <td><input type="text" name="evening_friday"></td>
                                                <td><input type="text" name="evening_saturday"></td>
                                                <td><input type="text" name="evening_sunday"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>


                        <div class="row mt-5">
                            <div class="col-md-6 col-lg-6">
                                <label class="form-control-label">
                                    Total Hours
                                    <span class="tx-danger"></span></label> <input class="form-control"
                                    id="total_hours" name="total_hours" placeholder="Enter Total Hours" required=""
                                    type="text">
                            </div>
                        </div>
                    </section>

                </div>

                <div class="row mt-5">
                    <div class="col-12 float-right">
                        <button type="submit" class="btn btn-success d-none" value="Submit">Save</button>
                    </div>
                </div>
            </form>
            @else
                    <h3 class="text-center text-danger">You already had filled this form</h3>
            @endif
        </div>
    </div>
@endsection
